> ## Documentation Index
> Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Settings

> Fetch Webhook configuration



## OpenAPI

````yaml openapi-v2 GET /settings/find/{instance}
openapi: 3.0.3
info:
  title: Evolution API
  version: 2.1.1
servers:
  - url: https://{server-url}
    variables:
      server-url:
        default: evolution-example
        description: The URL of your EvolutionAPI server
    description: Your instance domain
security: []
paths:
  /settings/find/{instance}:
    get:
      tags:
        - Webhook Controller
      summary: Find Webhook
      description: Fetch Webhook configuration
      operationId: findWebhook
      parameters:
        - name: instance
          in: path
          required: true
          description: Name of the instance to get settings
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                type: object
                properties:
                  reject_call:
                    type: boolean
                    description: Indicates whether to reject incoming calls.
                  groups_ignore:
                    type: boolean
                    description: Indicates whether to ignore group messages.
                  always_online:
                    type: boolean
                    description: Indicates whether to always keep the instance online.
                  read_messages:
                    type: boolean
                    description: Indicates whether to mark messages as read.
                  read_status:
                    type: boolean
                    description: Indicates whether to read status updates.
                  sync_full_history:
                    type: boolean
                    description: Indicates whether to synchronize full message history.
                example:
                  reject_call: true
                  groups_ignore: true
                  always_online: true
                  read_messages: true
                  read_status: true
                  sync_full_history: false
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````